C---------------------------------------------------------------
      SUBROUTINE UFAXCOM(ILUNC,IXUN,ZXCONA,ZXCONB,
     >     IYUN,ZYCONA,ZYCONB,IZUN,ZZCONA,ZZCONB)
C
C DMC JAN 1986
C
C  RECORD COMMENTS RE TRANSFORMATION OF DATA AXIS
C   ILUNC - OPEN LUN FOR COMMENTS
C
C   IXUN,ZXCONA,ZXCONB - TRANSFORMATION INFO FOR "X" AXIS AS OUTPUT
C                        BY UCHUNS (UFILES) SUBROUTINE
C   IYUN,ZYCONA,ZYCONB - TRANSFORMATION INFO FOR "Y" AXIS AS OUTPUT
C                        BY UCHUNS
C   IZUN,ZZCONA,ZZCONB - TRANSFORMATION INFO FOR "Z" AXIS AS OUTPUT
C                        BY UCHUNS
C
      CHARACTER*1 ZCHAR
C
      ZCHAR='X'
      IF(IXUN.EQ.1) THEN
        WRITE(ILUNC,4011) ZCHAR,ZXCONA,ZXCONB
      ELSE IF(IXUN.EQ.2) THEN
        WRITE(ILUNC,4012) ZCHAR,ZCHAR,ZXCONB,ZCHAR,ZXCONA
      ENDIF
C
      ZCHAR='Y'
      IF(IYUN.EQ.1) THEN
        WRITE(ILUNC,4011) ZCHAR,ZYCONA,ZYCONB
      ELSE IF(IYUN.EQ.2) THEN
        WRITE(ILUNC,4012) ZCHAR,ZCHAR,ZYCONB,ZCHAR,ZYCONA
      ENDIF
C
      ZCHAR='Z'
      IF(IZUN.EQ.1) THEN
        WRITE(ILUNC,4011) ZCHAR,ZZCONA,ZZCONB
      ELSE IF(IZUN.EQ.2) THEN
        WRITE(ILUNC,4012) ZCHAR,ZCHAR,ZZCONB,ZCHAR,ZZCONA
      ENDIF
C
 4011 FORMAT(' "',A,'" AXIS TRANSFORMED:'/
     >  '    CONVERSION FACTOR (NEW/OLD):  ',1PE11.4/
     >  '    OFFSET (ADDED TO OLD DATA):   ',1PE11.4)
 4012 FORMAT(' "',A,'" AXIS TRANSFORMED:'/
     >  '  ',A,'(NEW)=',1PE11.4,'*[',A,'(OLD)]**',1PE11.4)
C
      RETURN
      END
